Webhooks
Create a webhook subscription
At most 10 per account. The signing secret is returned once.
POST
/
api
/
automations
/
webhooks
Create a webhook subscription
curl --request POST \
--url https://api.ai2fin.com/api/automations/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.example.com/ai2fin",
"events": [
"expense.created"
],
"consentAcknowledged": true
}
'import requests
url = "https://api.ai2fin.com/api/automations/webhooks"
payload = {
"url": "https://hooks.example.com/ai2fin",
"events": ["expense.created"],
"consentAcknowledged": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.example.com/ai2fin',
events: ['expense.created'],
consentAcknowledged: true
})
};
fetch('https://api.ai2fin.com/api/automations/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ai2fin.com/api/automations/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.example.com/ai2fin',
'events' => [
'expense.created'
],
'consentAcknowledged' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ai2fin.com/api/automations/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ai2fin.com/api/automations/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ai2fin.com/api/automations/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"subscription": {
"id": "<string>",
"url": "<string>",
"events": [
"transaction.categorized"
],
"fieldFilter": [
"description"
],
"active": true,
"consecutiveFailures": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"disabledReason": "<string>",
"description": "<string>",
"consentTextVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"secret": "<string>"
}{
"success": false,
"error": "Description, amount, and date are required"
}{
"success": false,
"error": "Access token required"
}{
"success": false,
"error": "Access denied",
"message": "Feature not available in plan: automations",
"requiredPlan": "auto+"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Try again in 20 seconds.",
"retryAfter": 20,
"limit": 2000,
"windowMs": 900000
}Authorizations
bearerAuthcookieAuth
First-party access token for your own signed-in session, obtained from the /api/enterprise-auth/login endpoint. The REST API returns your own account data to you — it is a first-party consumer surface, not a third-party integration channel. Data from connected bank feeds (open-banking / CDR data) is your own data, returned only to you in your own authenticated session.
Body
application/json
Was this page helpful?
⌘I
Create a webhook subscription
curl --request POST \
--url https://api.ai2fin.com/api/automations/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://hooks.example.com/ai2fin",
"events": [
"expense.created"
],
"consentAcknowledged": true
}
'import requests
url = "https://api.ai2fin.com/api/automations/webhooks"
payload = {
"url": "https://hooks.example.com/ai2fin",
"events": ["expense.created"],
"consentAcknowledged": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://hooks.example.com/ai2fin',
events: ['expense.created'],
consentAcknowledged: true
})
};
fetch('https://api.ai2fin.com/api/automations/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ai2fin.com/api/automations/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://hooks.example.com/ai2fin',
'events' => [
'expense.created'
],
'consentAcknowledged' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ai2fin.com/api/automations/webhooks"
payload := strings.NewReader("{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ai2fin.com/api/automations/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ai2fin.com/api/automations/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://hooks.example.com/ai2fin\",\n \"events\": [\n \"expense.created\"\n ],\n \"consentAcknowledged\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"subscription": {
"id": "<string>",
"url": "<string>",
"events": [
"transaction.categorized"
],
"fieldFilter": [
"description"
],
"active": true,
"consecutiveFailures": 123,
"disabledAt": "2023-11-07T05:31:56Z",
"disabledReason": "<string>",
"description": "<string>",
"consentTextVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"secret": "<string>"
}{
"success": false,
"error": "Description, amount, and date are required"
}{
"success": false,
"error": "Access token required"
}{
"success": false,
"error": "Access denied",
"message": "Feature not available in plan: automations",
"requiredPlan": "auto+"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Try again in 20 seconds.",
"retryAfter": 20,
"limit": 2000,
"windowMs": 900000
}